Bug 185657 - rpm -ivh kernel-xen-hypervisor-2.6.15-1.1955_FC5.x86_64.rpm
rpm -ivh kernel-xen-hypervisor-2.6.15-1.1955_FC5.x86_64.rpm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Quintela
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-16 13:57 EST by W Agtail
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-20 14:01:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -f -o /tmp/xen.strace rpm -ivh /tmp/xen/kernel-xen-hypervisor-2.6.15-1.1955_FC5.x86_64.rpm (4.42 MB, text/plain)
2006-03-16 13:57 EST, W Agtail
no flags Details

  None (edit)
Description W Agtail 2006-03-16 13:57:56 EST
Description of problem:
System hangs when installing kernel-xen-hypervisor-2.6.15-1.1955_FC5.x86_64.rpm.


Version-Release number of selected component (if applicable):
see above

How reproducible:
always

Steps to Reproduce:
1. install FC5 test3
2. follow http://www.fedoraproject.org/wiki/FedoraXenQuickstartFC5
3. NB: yum didn't pickup: yum install kernel-xen-hypervisor
4. rpm -ivh kernel-xen-hypervisor-2.6.15-1.1955_FC5.x86_64.rpm from ISO image
  
Actual results:
system hangs


Expected results:
rpm to install without system hanging


Additional info:
after rebootin gthe system, the rpm appears to be installed, so i rpm -e'd it
when running with strace, i got this message:
# strace -f -o /tmp/xen.strace rpm -ivh
/tmp/xen/kernel-xen-hypervisor-2.6.15-1.1955_FC5.x86_64.rpm 
warning: /tmp/xen/kernel-xen-hypervisor-2.6.15-1.1955_FC5.x86_64.rpm: Header V3
DSA signature: NOKEY, key ID 30c9ecf8
Preparing...                ########################################### [100%]
   1:kernel-xen-hypervisor  ########################################### [100%]
/sbin/new-kernel-pkg: line 212:  2380 Segmentation fault      /sbin/mkinitrd
--allow-missing -f $initrdfile $version
mkinitrd failed
Comment 1 W Agtail 2006-03-16 13:57:58 EST
Created attachment 126241 [details]
strace -f -o /tmp/xen.strace rpm -ivh /tmp/xen/kernel-xen-hypervisor-2.6.15-1.1955_FC5.x86_64.rpm
Comment 2 W Agtail 2006-03-16 17:14:58 EST
A simple work-a-round was to manually run mkinitrd and edit grub.conf.
So now I'm running:

# uname -r
2.6.15-1.1955_FC5hypervisor

... but I'm unable to 'xend start' :(
Any ideas?

This is from xen.log:
[2006-03-16 22:04:41 xend] INFO (SrvDaemon:285) Xend Daemon started
[2006-03-16 22:04:41 xend] INFO (SrvDaemon:289) Xend changeset: unavailable .
[2006-03-16 22:04:41 xend] ERROR (SrvDaemon:299) Exception starting xend ((111,
'Connection refused'))
Traceback (most recent call last):
  File "/usr/lib64/python2.4/site-packages/xen/xend/server/SrvDaemon.py", line
293, in run
    servers = SrvServer.create()
  File "/usr/lib64/python2.4/site-packages/xen/xend/server/SrvServer.py", line
106, in create
    root.putChild('xend', SrvRoot())
  File "/usr/lib64/python2.4/site-packages/xen/xend/server/SrvRoot.py", line 40,
in __init__
    self.get(name)
  File "/usr/lib64/python2.4/site-packages/xen/web/SrvDir.py", line 82, in get
    val = val.getobj()
  File "/usr/lib64/python2.4/site-packages/xen/web/SrvDir.py", line 52, in getobj
    self.obj = klassobj()
  File "/usr/lib64/python2.4/site-packages/xen/xend/server/SrvDomainDir.py",
line 39, in __init__
    self.xd = XendDomain.instance()
  File "/usr/lib64/python2.4/site-packages/xen/xend/XendDomain.py", line 550, in
instance
    inst.init()
  File "/usr/lib64/python2.4/site-packages/xen/xend/XendDomain.py", line 70, in init
    xstransact.Mkdir(VMROOT)
  File "/usr/lib64/python2.4/site-packages/xen/xend/xenstore/xstransact.py",
line 317, in Mkdir
    complete(path, lambda t: t.mkdir(*args))
  File "/usr/lib64/python2.4/site-packages/xen/xend/xenstore/xstransact.py",
line 323, in complete
    t = xstransact(path)
  File "/usr/lib64/python2.4/site-packages/xen/xend/xenstore/xstransact.py",
line 20, in __init__
    self.transaction = xshandle().transaction_start()
  File "/usr/lib64/python2.4/site-packages/xen/xend/xenstore/xsutil.py", line
18, in xshandle
    xs_handle = xen.lowlevel.xs.xs()
RuntimeError: (111, 'Connection refused')

Comment 3 W Agtail 2006-03-20 14:01:30 EST
xend works fine now for x86_64 in FC5

Note You need to log in before you can comment on or make changes to this bug.